%define tarname		%{name}-0.8.2-1

# Upstream's versioning is goofy.  Note the mapping from tarname to version.
Name:		linuxwacom
Version:	0.8.2.1
Release:	1%{?dist}
Summary:	Wacom Drivers from Linux Wacom Project

Group:		User Interface/X Hardware Support
License:	LGPLv2+ and GPLv2+
URL:		http://linuxwacom.sourceforge.net
Source0:	http://prdownloads.sourceforge.net/linuxwacom/%{tarname}.tar.bz2
Source1:	60-wacom.rules
Source2:	10-linuxwacom.fdi
Patch1:		linuxwacom-0.7.8.3-sdk-me-harder.patch
Patch2:		linuxwacom-0.7.9.7-fix_build.patch
Patch3:		linuxwacom-0.8.2.1-fix_build.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
BuildRequires:	libX11-devel libXi-devel ncurses-devel
BuildRequires:  xorg-x11-server-devel >= 1.5.99.1
BuildRequires:  autoconf automake libtool xorg-x11-server-Xorg
Requires:	xorg-x11-server-Xorg >= 1.5.99.1, udev >= 030-21
ExclusiveArch:  %{ix86} x86_64 alpha ia64 ppc ppc64 sparcv9 sparc64

%description 
The Linux Wacom Project manages the drivers, libraries, and
documentation for configuring and running Wacom tablets under the
Linux operating system. It contains diagnostic applications as well as
X.org XInput drivers.

%package devel
Summary: linuxwacom developmental libraries and header files
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Developmental libraries and header files required for developing or
compiling applications for manipulating settings for Wacom tablets.

%prep
%setup -q -n %{tarname}

%patch1 -p1 -b .sdk
%patch2 -p1
%patch3 -p1

%build

autoreconf -v --install || exit 1

XSERVER64=
if [ "$(getconf LONG_BIT)" == "64" ]
then
  XSERVER64=--enable-xserver64
fi

export RPM_LIBDIR=%{_lib}
%configure --without-gtk --enable-dlloader $XSERVER64 \
		--without-tk --without-tcl

export CFLAGS="$RPM_OPT_FLAGS"
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/60-wacom.rules
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
# This is terribly wrong but I can't be bothered to figure it out right now.
if [ -e $RPM_BUILD_ROOT/wacom_drv.so ]; then
    install -m 755 -d $RPM_BUILD_ROOT/%{_libdir}/xorg/modules/input
    mv $RPM_BUILD_ROOT/wacom_drv.so $RPM_BUILD_ROOT/%{_libdir}/xorg/modules/input
fi

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hal/fdi/policy/20thirdparty
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/hal/fdi/policy/20thirdparty

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files 
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README NEWS
%attr(0444,root,root) %{_libdir}/xorg/modules/input/wacom_drv.so
%{_bindir}/wacdump
%{_bindir}/xidump
%{_bindir}/xsetwacom
%{_datadir}/hal/fdi/policy/20thirdparty/10-linuxwacom.fdi
%{_libdir}/libwacomcfg*so.*
%{_mandir}/man4/wacom.4*
%{_sysconfdir}/udev/rules.d/60-wacom.rules

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/wacomcfg
%{_includedir}/wacomcfg/wacomcfg.h
%{_libdir}/libwacomcfg*.a
%{_libdir}/libwacomcfg*.so

%changelog
* Thu Jan 15 2009 Aristeu Rozanski <aris@redhat.com> 0.8.1.2-1
- new production release

* Tue Jan 06 2009 Peter Hutterer <peter.hutterer@redhat.com> 0.8.0.3-7
- linuxwacom-0.8.0.3-nocrash-removal.patch: don't free the device's private,
  it causes a SIGABRT on device removal and the server does it anyway.

* Mon Dec 22 2008 Peter Hutterer <peter.hutterer@redhat.com> 0.8.0.3-6
- Rebuild for server 1.6
  add build-fixes.patch: protect against XINPUT ABI 3, and other build
  issues

* Fri Nov 14 2008 Aristeu Rozanski <aris@redhat.com> 0.8.0.3-5
- don't call devproc with DEVICE_OFF in Uninit in new X servers

* Tue Oct 28 2008 Peter Hutterer <peter.hutterer@redhat.com> 0.8.0.3-4
- 10-linuxwacom.fdi: specify "stylus" as default type. (#465349)

* Sun Oct 26 2008 - Bastien Nocera <bnocera@redhat.com> 0.8.0.3-3
- Update HAL fdi file to also match the Wacom Bluetooth tablet

* Wed Oct 01 2008 Dennis Gilmore <dennis@ausil.us> 0.8.0.3-2
- build sparcv9

* Wed Oct 01 2008 Aristeu Rozanski <arozansk@redhat.com> 0.8.0.3-1
- using the production version for f10

* Wed Oct 01 2008 Aristeu Rozanski <arozansk@redhat.com> 0.8.1.4-1
- updating to last upstream version

* Wed May 21 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.7.9.8-8
- fix license tag

* Fri Apr 25 2008 Aristeu Rozanski <arozansk@redhat.com> 0.7.9.8-7
- updating udev rules

* Tue Apr 22 2008 Adam Jackson <ajax@redhat.com> 0.7.9.8-6
- linuxwacom-0.7.9.8-cleanup.patch: Don't crash at exit. (#443201)

* Mon Mar 10 2008 Adam Jackson <ajax@redhat.com> 0.7.9.8-5
- Drop the no-stack-protector patch, it's way obsolete.

* Mon Mar 10 2008 Adam Jackson <ajax@redhat.com> 0.7.9.8-4
- 10-linuxwacom.fdi: Fix driver name.

* Sun Mar 09 2008 Adam Jackson <ajax@redhat.com> 0.7.9.8-3
- 10-linuxwacom.fdi: Blind attempt at supporting hotplug.

* Wed Mar 05 2008 Aristeu Rozanski <arozansk@redhat.com> - 0.7.9.8-2
- Removed configuration tools

* Fri Feb 22 2008 Aristeu Rozanski <arozansk@redhat.com> - 0.7.9.8-1
- Fixed build
- New upstream version
- Enabled configuration tools
- the xorg-server is on the list of buildrequires otherwise the dumb configure
  scripts will think there's no support for X modules and will build a .o
  instead of .so. I need to fix this in the future.

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.7.9.4-2
- Autorebuild for GCC 4.3

* Wed Jan  2 2008 Jeremy Katz <katzj@redhat.com> - 0.7.9.4-1
- Update to 0.7.9-4

* Fri Dec  7 2007 Jeremy Katz <katzj@redhat.com> - 0.7.9.3-1
- Update to upstream version 0.7.9-3 which works somewhat better with the 
  new X server

* Wed Nov 14 2007 Adam Jackson <ajax@redhat.com> 0.7.8.3-4
- Rebuild for new X server ABI.

* Thu Sep 13 2007 Aristeu Rozanski <arozansk@redhat.com> 0.7.8.3-3.fc8
- Adding ppc64 to list of architectures

* Tue Aug 21 2007 Aristeu Rozanski <arozansk@redhat.com> 0.7.8.3-2.fc8
- Disabling stack protector

* Mon Aug 20 2007 Aristeu Rozanski <arozansk@redhat.com> 0.7.8.3-1.fc8
- Updated to upstream version 0.7.8-3

* Tue Jul 31 2007 Aristeu Rozanski <arozansk@redhat.com> 0.7.6.4-4.fc8
- Fixed udev rules for newer kernel/udev versions

* Fri Jul 20 2007 Aristeu Rozanski <arozansk@redhat.com> 0.7.6.4-3.fc7
- adding missing dependency

* Fri Jul 20 2007 Aristeu Rozanski <arozansk@redhat.com> 0.7.6.4-2.fc7
- updated udev rules (BUS -> SUBSYSTEM, SYSFS -> ATTR) (BZ#246847)

* Tue Mar 27 2007 Aristeu Rozanski <arozansk@redhat.com> 0.7.6.4-1.fc7
- Update to 0.7.6-4.
- add unowned directory to list (BZ#233877)
- updated 60-wacom.rules with newer udev rules.

* Mon Nov 27 2006 Adam Jackson <ajax@redhat.com> 0.7.6.3-1.fc7
- Update to 0.7.6-3.
- linuxwacom-fsp.patch: Disable, dlloader shouldn't need it.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0:0.7.4_1-2.1
- rebuild

* Sun May 21 2006 Peter Jones <pjones@redhat.com> 0:0.7.4_1-2
- fix the sysfs test equality syntax in the udev rule

* Wed May 10 2006 Kristian Høgsberg <krh@redhat.com> 0:0.7.4_1-1
- Update to 0.7.4-1 release.
- Change udev rule to use == instead of = for matching kernel name
  (#191248).
- Drop linuxwacom-0.7.2-modular-sdk.patch and pass --with-xorg-sdk=/usr.
- Change udev rule to be 60-wacom.rules instead of 10-wacom.rules.
- Update linuxwacom-fsp.patch to patch Makefile.in instead so we avoid
  rerunning auto*.

* Mon Apr 10 2006 Adam Jackson <ajackson@redhat.com> 0:0.7.2-3
- Delibcwrap and otherwise rebuild for 7.1RC1 ABI changes.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0:0.7.2-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0:0.7.2-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Jan 13 2006 Kristian Høgsberg <krh@redhat.com> 0:0.7.2-1
- Update to version 0.7.2.
- Drop linuxwacom-0.6.4-linux-input.patch since the kernel headers now
  define EV_SYN.
- Update SDK patch to work with new modular paths.

* Mon Dec 12 2005 Tim Waugh <twaugh@redhat.com> 0:0.7.0-2
- More SDK path fixes.
- Don't build input driver with -fstack-protector since the X loader
  doesn't like it.

* Fri Dec  9 2005 Tim Waugh <twaugh@redhat.com> 0:0.7.0-1
- 0.7.0.  No longer need 64-bit patch.
- Fixed SDK path.

* Fri Nov 18 2005 Kristian Høgsberg <krh@redhat.com> 0:0.6.6-8
- Update to work with new X11 paths.
- Patch build system to work with modular X sdk.

* Mon Nov 14 2005 Jeremy Katz <katzj@redhat.com> - 0:0.6.6-7
- require implementation independent Xserver instead of xorg-x11

* Tue Nov  8 2005 Kristian Høgsberg <krh@redhat.com> 0:0.6.6-6
- Update X11 library dependencies.
- Change back _x11libdir definition.
- Change udev rule to match on vendor id instead of manufacturer name,
  since that's seems to be more reliable.
- Test for libX11.so instead of X11 subdir in X11 libdir test.

* Wed Apr 13 2005 Kristian Høgsberg <krh@redhat.com> - 0:0.6.6-5
- Run automake so changes to Makefile.am take effect.
- Fix configure.in test for 64 bit longs.

* Wed Apr 13 2005 Kristian Høgsberg <krh@redhat.com> - 0:0.6.6-4
- Update linuxwacom-0.6.6-64-bit-fix.patch to remove more i386'isms.

* Mon Mar 14 2005 Kristian Høgsberg <krh@porkchop.devel.redhat.com> 0:0.6.6-3
- Rebuilding with gcc 4.0.

* Thu Feb 10 2005 Kristian Høgsberg <krh@redhat.com> - 0:0.6.6-2
- Bump release.

* Thu Feb 10 2005 Kristian Høgsberg <krh@redhat.com> - 0:0.6.6-1
- Add patch to set the necessary preprocessor flags on 64 bit archs.

* Wed Feb  2 2005 Kristian Høgsberg <krh@redhat.com> - 0:0.6.6-1
- Update to linuxwacom-0.6.6.
- Update sources file.
- Fix configure-fixes patch: don't set the X11 lib path back to
  default when it's given on the command line.

* Wed Sep 29 2004 Kristian Høgsberg <krh@redhat.com> 0:0.6.4-6
- Run /sbin/ldconfig in %post and %postun (#134070).

* Fri Sep 24 2004 Kristian Høgsberg <krh@redhat.com> 0:0.6.4-5
- Pass --without-gtk and others to get rid of bogus link dependencies.

* Tue Sep 21 2004 Kristian Høgsberg <krh@redhat.com> 0:0.6.4-2
- Add BuildRequires for ncurses-devel, needed by wacdump and xidump tools.

* Mon Sep 13 2004 Kristian Høgsberg <krh@redhat.com> 0:0.6.4-1
- Add udev rule to create /dev/input/wacom

* Wed Sep  8 2004 Kristian Høgsberg <krh@redhat.com> 0:0.6.4-1
- Invoke libtoolize to fix .so problem on x86_64
- Clean up spec file a bit, run autoconf before build to really fix
  lib64 issues on x86_64.
- Corrected typo and XFree86 mention.

* Tue Sep  7 2004 Kristian Høgsberg <krh@redhat.com> 0:0.6.4-1
- Add hack to prevent configure from hardcoding 'lib'.

* Wed Sep  1 2004 Kristian Høgsberg <krh@redhat.com> 0:0.6.4-1
- Explicitly disable building tcl/tk panel
- Add patch to remove hard-code i386 flags from Makefile.am
- Use %{_x11libdir} so it'll work on x86_64
- Removed .la files, they are demon spawn
- Don't try to build on arches that don't have xorg-x11

* Fri Aug 27 2004 Kristian Høgsberg <krh@redhat.com> 0:0.6.4-1
- Add patch to make driver compile against xorg-x11-sdk
- Add patch to work around totally obsolete glibc-kernheaders

* Thu Aug 26 2004 Kristian Høgsberg <krh@redhat.com> 0:0.6.4-1
- Created package, copying bits from synaptics spec file.
